Index: bsps/m68k/gen68340/console/console.c
===================================================================
--- bsps/m68k/gen68340/console/console.c	(revision 0e16fa45cd0eec8ca9d1404b8c1a40401a96e7ec)
+++ bsps/m68k/gen68340/console/console.c	(revision 5c6edeed512b84d065fb9eff34c03558457b408f)
@@ -309,5 +309,5 @@
 	   /*
 	   {
-	    proc_ptr ignored;
+	    CPU_ISR_raw_handler ignored;
 	    _CPU_ISR_install_raw_handler( CONSOLE_VECTOR, _Debug_ISR_Handler_Console, &ignored );
 	   }
@@ -392,5 +392,5 @@
 	   /*
 	   {
-	    proc_ptr ignored;
+	    CPU_ISR_raw_handler ignored;
 	    _CPU_ISR_install_raw_handler( CONSOLE_VECTOR, _Debug_ISR_Handler_Console, &ignored );
 	   }
Index: bsps/m68k/shared/fpsp/rtems_fpsp.c
===================================================================
--- bsps/m68k/shared/fpsp/rtems_fpsp.c	(revision 0e16fa45cd0eec8ca9d1404b8c1a40401a96e7ec)
+++ bsps/m68k/shared/fpsp/rtems_fpsp.c	(revision 5c6edeed512b84d065fb9eff34c03558457b408f)
@@ -7,5 +7,5 @@
  * User exception handlers
  */
-proc_ptr M68040FPSPUserExceptionHandlers[9];
+CPU_ISR_raw_handler M68040FPSPUserExceptionHandlers[9];
 
 /*
@@ -14,5 +14,9 @@
  */
 static int
-FPSP_install_raw_handler (uint32_t   vector, proc_ptr new_handler, proc_ptr *old_handler)
+FPSP_install_raw_handler(
+  uint32_t vector,
+  CPU_ISR_raw_handler new_handler,
+  CPU_ISR_raw_handler *old_handler
+)
 {
   int fpspVector;
@@ -72,5 +76,5 @@
   };
   int i;
-  proc_ptr oldHandler;
+  CPU_ISR_raw_handler oldHandler;
 
   for (i = 0 ; i < sizeof fpspHandlers / sizeof fpspHandlers[0] ; i++) {
Index: cpukit/score/cpu/m68k/cpu.c
===================================================================
--- cpukit/score/cpu/m68k/cpu.c	(revision 0e16fa45cd0eec8ca9d1404b8c1a40401a96e7ec)
+++ cpukit/score/cpu/m68k/cpu.c	(revision 5c6edeed512b84d065fb9eff34c03558457b408f)
@@ -51,6 +51,6 @@
 int (*_FPSP_install_raw_handler)(
   uint32_t   vector,
-  proc_ptr new_handler,
-  proc_ptr *old_handler
+  CPU_ISR_raw_handler new_handler,
+  CPU_ISR_raw_handler *old_handler
 );
 #endif
@@ -98,15 +98,15 @@
 }
 
-/*
- *  _CPU_ISR_install_raw_handler
- */
-
 void _CPU_ISR_install_raw_handler(
-  uint32_t    vector,
-  proc_ptr    new_handler,
-  proc_ptr   *old_handler
+  uint32_t             vector,
+  CPU_ISR_raw_handler  new_handler,
+  CPU_ISR_raw_handler *old_handler
 )
 {
-  proc_ptr *interrupt_table = NULL;
+#if ( M68K_HAS_VBR == 1 )
+  CPU_ISR_raw_handler *interrupt_table = NULL;
+#else
+  _CPU_ISR_handler_entry *interrupt_table = NULL;
+#endif
 
 #if (M68K_HAS_FPSP_PACKAGE == 1)
@@ -142,18 +142,18 @@
    */
 
-  *old_handler = (proc_ptr) _CPU_ISR_jump_table[vector].isr_handler;
+  *old_handler = (CPU_ISR_raw_handler) _CPU_ISR_jump_table[vector].isr_handler;
   _CPU_ISR_jump_table[vector].isr_handler = (uint32_t) new_handler;
   if ( (uint32_t) interrupt_table != 0xFFFFFFFF )
-    interrupt_table[ vector ] = (proc_ptr) &_CPU_ISR_jump_table[vector];
+    interrupt_table[ vector ] = &_CPU_ISR_jump_table[vector];
 #endif /* M68K_HAS_VBR */
 }
 
 void _CPU_ISR_install_vector(
-  uint32_t    vector,
-  proc_ptr    new_handler,
-  proc_ptr   *old_handler
+  uint32_t         vector,
+  CPU_ISR_handler  new_handler,
+  CPU_ISR_handler *old_handler
 )
 {
-  proc_ptr ignored = 0;  /* to avoid warning */
+  CPU_ISR_raw_handler ignored = 0;  /* to avoid warning */
 
   *old_handler = _ISR_Vector_table[ vector ];
Index: cpukit/score/cpu/m68k/include/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m68k/include/rtems/score/cpu.h	(revision 0e16fa45cd0eec8ca9d1404b8c1a40401a96e7ec)
+++ cpukit/score/cpu/m68k/include/rtems/score/cpu.h	(revision 5c6edeed512b84d065fb9eff34c03558457b408f)
@@ -565,27 +565,18 @@
 void _CPU_Initialize(void);
 
-/*
- *  _CPU_ISR_install_raw_handler
- *
- *  This routine installs a "raw" interrupt handler directly into the
- *  processor's vector table.
- */
+typedef void ( *CPU_ISR_raw_handler )( void );
 
 void _CPU_ISR_install_raw_handler(
-  uint32_t    vector,
-  proc_ptr    new_handler,
-  proc_ptr   *old_handler
-);
-
-/*
- *  _CPU_ISR_install_vector
- *
- *  This routine installs an interrupt vector.
- */
+  uint32_t             vector,
+  CPU_ISR_raw_handler  new_handler,
+  CPU_ISR_raw_handler *old_handler
+);
+
+typedef void ( *CPU_ISR_handler )( uint32_t );
 
 void _CPU_ISR_install_vector(
   uint32_t         vector,
-  proc_ptr         new_handler,
-  proc_ptr        *old_handler
+  CPU_ISR_handler  new_handler,
+  CPU_ISR_handler *old_handler
 );
 
@@ -678,6 +669,6 @@
 extern int (*_FPSP_install_raw_handler)(
   uint32_t   vector,
-  proc_ptr new_handler,
-  proc_ptr *old_handler
+  CPU_ISR_raw_handler new_handler,
+  CPU_ISR_raw_handler *old_handler
 );
 
